/voterRegistrationBatches/{batchId}/people

Add Registrants to a Voter Registration Batch

Description

Use this endpoint to submit up to 25 registrants to a Voter Registration Batch. Fields published via POST /voterRegistrationBatches should be specified in CustomProperties.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

PropertyTypeDescription
alternateIdstringA Unique Identifier, for your reference only. Value is not stored in the database.
vanIdstringIf result is Success, the vanId of the registrant’s record.
resultstringSuccess or Failure
errorsobjectIf result is Failure, an array of Error objects.

Note

The code generated by the sidebar will cause an error. This endpoint requires the JSON body to consist only of the array of registrant objects, without a key, so the request body should look like the following example.

[
    {
        "person": {
            "firstName": "john",
            "lastName": "doe"
        },
        "customProperties": [
            {
                "key": "VR:HasCat", 
                "value": "true"
            }
        ]
    }
]
Path Params
int32
required
Defaults to 100

Required; unique identifier of the Voter Registration Batch

Body Params
_
array of objects
_
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json